var valid = false;
var stars = {
    0: ['overall', 'quality', 'price'],
    1: ['overall', 'quality', 'price', 'time'],
};
var reviews = {'overall': 'ogólna', 'quality': 'jakość', 'price': 'cena', 'time': 'terminowość'};
function opinionFormInit(mode){
    $('.photo img').on('click', imgClick).each(function(i,e){
        if ($(e).attr('src').length > 0)
            return adjustPhoto(e, e);
        else
            return removePhoto(e);
    });
}
function descLength(event, elem, len){
    var len = (len || 45) - $(elem).val().length;
    var box = $('.desc_length', $(elem).parent()).hide();
    if (len > 0){
        var msg = box.show().text();
        box.text(msg.replace(/[0-9]+/, len));
    }
}
function starsRow(){
    
}
function validateOpinionForm(form, event){
    if (valid) {
        return true;
    } else {
        // send required data to server side validation
        var data = {};
        $('[required=required],[type=checkbox]', form).each(function(i,e){
            if (e == null || e.name == null)
                return;
            if (e.name.match(/\[\]/)){
                if (!data[e.name] || !data[e.name].length)
                    data[e.name] = [$(e).val()];
                else
                    data[e.name].push($(e).val());
            }
            else if (e.type != 'checkbox' || e.checked)
                data[e.name] = $(e).val();
        });
        formNoError(event);
        $.ajax({
            url: '/webfront/opinion/validate',
            type: 'post',
            dataType: 'json',
            data: data,
            success: function(res) {
                if (res == undefined || res.success == undefined){
                    formError({}, $(undefined), 'error');
                }
                else if (res.success == true) {
                   valid = true;
                   $('#opinionform').submit();
                } 
                else {
                    for (var id in res.errors) {
                        var elem = $('#'+id), anchor = id.match(/_$/) ? elem : null;
                        formError(event, elem, res.errors[id], anchor);
                    }
                }
            }
        });
    }

    return false;
}

function fb_auth(){
    FB.login(checkLoginState, {scope: 'email,public_profile'});
}

function checkLoginState() {
    FB.getLoginStatus(function(response) {
        statusChangeCallback(response);
    });
}

function statusChangeCallback(response) {
    if (response.status === 'connected') {
        FB.api('/me', { locale: 'en_US', fields: 'name,email' }, function(response) { 
            $.ajax({
                url: '/webfront/opinion/authfb',
                type: 'post',
                data: response,
                dataType: 'json',
                success: function(resp) {
                    if (resp.success == true) {
                        var r = $('#redirect').val();
                        if (r.length > 0)
                            location.href = r;
                        else
                            location.href = '/';
                    }
                }
            });
        });
    } else if (response.status === 'not_authorized') {
        // The person is logged into Facebook, but not your app.
    } else {
        // The person is not logged into Facebook, so we're not sure if
        // they are logged into this app or not.
    }
}
