Action = {
    RoleCat: function(t) {
        var p = $(t).parent();
        var id = p.attr('catid');
        if (p.hasClass('active')){
            var list = $('ul', p);
            if (list.css('display') !== 'none')
                list.hide();
            else
                list.show();
        }
        else {
            // location.href = $('#route').val() + '?c=' + id + '&option=' + $('#opt').val();
            location.href = $('#route').val() + '?c=' + id;
        }
    },
    RoleProf: function(t) {
        var id = $(t).parent().attr('catid');
        var profid = $(t).parent().attr('profid');
        location.href = $('#route').val() + '?c=' + id + '&prof=' + profid + '&option=' + $('#opt').val();
    },
    HideProf: function(t){
        var cat = $(t).parent().find('.active');
        var list = $('ul', cat);
        if (list.css('display') !== 'none')
            list.hide();
    },
    OpenModal: function() {
        $('#message-modal').modal();
    },
    VerifyEmail: function(event, elem) {
        loginFormError(event, elem);
        var text = $(elem).val().trim();
        if (text.length < 5) return;

        $.ajax({
            url: '/webfront/user/verifyemail',
            data: {email: text},
            type: 'post',
            dataType: 'json',
            success: function(res) {
                if (res.success == false) {
                    loginFormError(event, elem, res.message, res.submsg);
                }
            }
        })
    },
    VerifyNotice: function(e, form) {
        formNoError(event);
        var email = $('#email:first', form);
        var phone1 = $('#phone1:first', form);
        var mail = email.val();
        var phone = phone1.val();
        if (mail.length < 5 && phone.length < 6)
            return;

        $.ajax({
            url: '/webfront/notice/searchcontact',
            data: {email: mail.trim(), phone: phone.trim()},
            type: 'post',
            dataType: 'json',
            success: function(res) {
                if (res.success == false) {
                    setTopMsg('red', 'Ogłoszenie już istnieje w bazie');
                    formError(e, phone1, res.phone);
                    formError(e, email, res.email);
                }
            }
        });
    },
    OpenDropdown: function(t) { 
        var bx = false;
        if ($(t).parent().find('.sort_box').is(':visible')) {
            bx = true;
        } else {
            bx = false;
        } 
        $('.sort_box').hide();
        if (bx) {
            $(t).parent().find('.sort_box').hide();
        } else {
            $(t).parent().find('.sort_box').show();
        } 
    },
    InsertThisValue: function(t) {
        var ThisVal = $(t).html(); 
        $('.sort_box').hide();
        
        var fieldName = $(t).parent().parent().find('input').attr('name');
        if (fieldName.indexOf('_od')>-1) {
            var oppositeFieldName = fieldName.replace('_od','_do');
            var oppositeFieldValue = $('input[name=\''+oppositeFieldName+'\']').val();
            if (parseInt(oppositeFieldValue) < parseInt(ThisVal)) {
                $('input[name=\''+oppositeFieldName+'\']').val(ThisVal);
                $('.sort_panel[relv=\''+oppositeFieldName+'\'] div').html(ThisVal);
            }
        } else {
            var oppositeFieldName = fieldName.replace('_do','_od');
            var oppositeFieldValue = $('input[name=\''+oppositeFieldName+'\']').val();
            if (parseInt(oppositeFieldValue) > parseInt(ThisVal)) {
                $('input[name=\''+oppositeFieldName+'\']').val(ThisVal);
                $('.sort_panel[relv=\''+oppositeFieldName+'\'] div').html(ThisVal);
            }
        }
        
        
        $(t).parent().parent().find('input').val(ThisVal);
        $(t).parent().parent().find('.sort_panel').html("<div>" + ThisVal + "</div>");
    },
    OpenAddServ: function() {
        $('.enter_overlay').hide();
        $('.login_overlay').hide();
        $('.register_overlay').hide();
        $('#addserv-overlay').show();
    },
    OpenEnter: function() {
        $('.enter_overlay').toggle();
    },
    OpenLogin: function() {
        $('.enter_overlay').hide();
        $('.login_overlay').toggle();
    },
    OpenNoMsg: function() {
        $('.enter_overlay').hide();
        $('#msgpopup-overlay').toggle();
    },
    OpenReg: function() {
        $('.enter_overlay').hide();
        $('.register_overlay').toggle();
        document.getElementById('captcha').src = '/webfront/captcha?' + Math.random(); return false
    },
    ClosePopup: function() {
        $('.login_overlay').hide();
        $('.register_overlay').hide();
        $('.enter_overlay').hide();
    },
    CheckThisField: function(t) {
        $(t).parent().find('input').trigger('click');
        $(t).toggleClass('checked');
    },
    OpenThisTab: function(t) {
        $('.hidden_tab').hide();
        $('.left_block span').removeClass('active');
        var title = $(t).attr('id');
        var elem = ('.' + title);
        $(elem).show();
        $(t).addClass('active');
    },
    CheckThisRadio: function(t) {
        $(t).parent().parent().find('.checked').removeClass('checked');
        $(t).parent().find('.checkboxx').trigger('click');

        $(t).toggleClass('checked');
    },
    profileTabChanger: function(t) {
        $('.navigation_profile .container a').removeClass('active');
        $(t).addClass('active');
        $('.hidden_container').hide();
        var title = $(t).attr('id');
        var elem = ('.' + title);
        $(elem).show();
    },
    
    showSelectBox: function(t) {
        if ($(t).parent().find('ul').css('display') == 'block') {
            $(t).parent().find('ul').hide();
        } else {
            $(t).parent().find('ul').show();
        }
        
        $('.select_mod ul').not($(t).parent().find('ul')).hide();
        
    },
    
    selectFromBox: function(t, input) {
        $(input).val($(t).attr('relid'));
        $(t).parent().hide();
        $(t).parents('.select_mod').find('div').text($(t).text());
    },
    
    deleteAccount: function() {
        var conf = confirm("Czy na pewno chcesz usunąć swoje konto?");
        
        if (conf) {
            $.ajax({
                url: '/webfront/user/deleteaccount',
                dataType: 'json',
                success: function(res) {
                    if (res.success == false) {
                        location.href = res.redirect;
                    } else {
                        location.href='/?removedAccount';
                    }
                    //location.href='/webfront/user/logout';
                }
            })
        }
    }

};

$(document).ready(function() {
    $('.sort_box').mouseleave(function() {
        $('.sort_box').hide();
    });
    
    $('.search_bar input').click(function() {
        $('.select_mod ul').hide();
    });
    
    $('.select_mod ul').mouseleave(function() {
        $(this).hide();
    });
});
